All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Interface ExportGeneralMetadata

All Known Subinterfaces:
  ExportMetadata, ExportOlapMetadata, ExportRelationalMetadata, ExportSelectionMetadata, ExportUploadMetadata

    public interface ExportGeneralMetadata

Method Summary
`DataSelection` | `getDataSelection()` DataSelection behind an Export or Upload metadata.
`ExportDataSource` | `getExportDataSource(com.sas.iquery.metadata.business.DataSource dataSource, java.lang.Object... createOptions)` gets a exported data source by it's underlying object
`java.lang.String` | `getID()` Returns the model ID of the underlying DataSelection
`StructureOfData` | `getStructureOfData()` Returns the structure of Data: Relational or OLAP
`DataSelection` | `getUnderlyingObject()` Returns the underlying object (DataSelection).
`ExportObject<?,?>` | `getUniqueExportObject(java.lang.String uniqueExportName)` Returns the export object for a specific unique export name or null if not found.

Method Detail

### getDataSelection

    DataSelection getDataSelection()
                                   throws MetadataException

  DataSelection behind an Export or Upload metadata.

  Throws:
    `MetadataException`

### getUnderlyingObject

    DataSelection getUnderlyingObject()

  Returns the underlying object (DataSelection).

### getID

    java.lang.String getID()

  Returns the model ID of the underlying DataSelection

### getStructureOfData

    StructureOfData getStructureOfData()

  Returns the structure of Data: Relational or OLAP

### getUniqueExportObject

    ExportObject<?,?> getUniqueExportObject(java.lang.String uniqueExportName)
                                            throws MetadataException

  Returns the export object for a specific unique export name or null if not found.

  Throws:
    `MetadataException`

### getExportDataSource

    ExportDataSource getExportDataSource(com.sas.iquery.metadata.business.DataSource dataSource,
                                         java.lang.Object... createOptions)
                                         throws MetadataException

  gets a exported data source by it's underlying object

  Throws:
    `MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.